Subject: bug#51277: 27.1; menu-set-font not loading correct font

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Oct 2021 20:29:30 +0300

> Date: Tue, 19 Oct 2021 12:47:39 -0400
> From: Jesse Sheidlower <[email-masked]>
> Cc: [email-masked]
> 
> >   (pp font-log) C-j
> > 
> > where C-j should be typed with cursor after the closing paren of
> > "(pp font-log)".  Then post the result here.
> 
> OK, just to clarify, I ran this command immediately after selecting the "Book" font from menu-set-font, and incorrectly getting the bold font. I did not then run the set-face-attribute command discussed above. The result was:
> 
> 
> (pp font-log) 
> ((sort-by "-*-bold-normal-normal-*-22-*" "ftcrhb:-H&Co-Operator Mono SSm-normal-normal-normal-*-m-0-iso10646-1")
>  (list "-H&Co-Operator Mono SSm-*-iso8859-1"
>        ["-H&Co-Operator Mono SSm-light-normal-normal-*-m-0-iso10646-1" "-H&Co-Operator Mono SSm-normal-normal-normal-*-m-0-iso10646-1" "-H&Co-Operator Mono SSm-light-italic-normal-*-m-0-iso10646-1" "-H&Co-Operator Mono SSm-light-normal-normal-*-m-0-iso10646-1" "-H&Co-Operator Mono SSm-light-italic-normal-*-m-0-iso10646-1" "-H&Co-Operator Mono SSm-light-italic-normal-*-m-0-iso10646-1" "-H&Co-Operator Mono SSm-light-normal-normal-*-m-0-iso10646-1" "-H&Co-Operator Mono SSm-normal-italic-normal-*-m-0-iso10646-1"])

Thanks, the only thing I find strange here is that Emacs never tries
to look for "book" font, nor even under one of its aliases.

Another thing I see is that you have 3 active font backends: xfont,
ftfont, and fcrhb.  Maybe that has something to do with the issue...